#ifndef UTIL_H
#define UTIL_H

#define GBLEN (1024*32)
/*
 *	filename:  The file to read the shader from
 *	shaderType:  Could be GL_VERTEX_SHADER, GL_COMPUTE_SHADER, etc
 *	return value:  ID of shader
 */
GLuint make_shader(const char *filename, GLenum shaderType);
GLuint make_program(const char* v_file, const char* tcs_file, const char* tes_file, const char* g_file, const char* f_file);
#endif
