#version 460

in vec3 in_vertex;
in vec3 in_normal;
in vec2 in_texcoord;
uniform mat4 mvp;
uniform float factor;
out vec2 f_texcoord;

void main(void) {
	gl_Position = mvp * vec4(in_vertex + (clamp(factor, 0, 1) * in_normal), 1.0);
	f_texcoord = in_texcoord;
}
